Cyberduck Mountain Duck CLI

#8400 closed enhancement (fixed)

Provide a always-updated download link

Reported by: Korros Owned by: dkocher
Priority: normal Milestone: 4.6.1
Component: website Version: 4.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi,

I've developed an "automated download & install" website (like Ninite for Mac) that uses the official download link of the software and I'd like to use an always-updated download link like other software developers do.

If you go to: http://download.mozilla.org/?product=firefox-latest&os=osx&lang=en-US this link downloads the latest Firefox version. Cyberduck should provide a download link like: https://update.cyberduck.io/latest that redirects to the latest .zip

This allows developers like I to provide your software updated to users.

Please, give it a peek ;)

Change History (2)

comment:1 Changed on Dec 6, 2014 at 1:59:41 PM by dkocher

  • Status changed from new to assigned

comment:2 Changed on Dec 6, 2014 at 2:22:37 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
$ curl -I https://update.cyberduck.io/windows/latest
HTTP/1.1 302 Found
Date: Sat, 06 Dec 2014 14:21:53 GMT
Server: Apache/2.2.29 (Amazon) DAV/2 PHP/5.3.29 mod_ssl/2.2.29 OpenSSL/1.0.1j-fips SVN/1.8.10 mod_wsgi/3.2 Python/2.6.9
Location: https://update.cyberduck.io/windows/Cyberduck-Installer-4.6.exe
Cache-Control: max-age=2592000
Expires: Mon, 05 Jan 2015 14:21:53 GMT
Connection: close
Content-Type: text/html; charset=iso-8859-1

$ curl -I https://update.cyberduck.io/mac/latest
HTTP/1.1 302 Found
Date: Sat, 06 Dec 2014 14:21:57 GMT
Server: Apache/2.2.29 (Amazon) DAV/2 PHP/5.3.29 mod_ssl/2.2.29 OpenSSL/1.0.1j-fips SVN/1.8.10 mod_wsgi/3.2 Python/2.6.9
Location: https://update.cyberduck.io/Cyberduck-4.6.zip
Cache-Control: max-age=2592000
Expires: Mon, 05 Jan 2015 14:21:57 GMT
Connection: close
Content-Type: text/html; charset=iso-8859-1

Note: See TracTickets for help on using tickets.
swiss made software